#include<stdio.h>
#include<glsc3d_3.h>
#define WX     (600)
#define WY     (600)

#define XLEN	(2.0 * M_PI)
#define YLEN	(2.0 * M_PI)
#define ZLEN	(2.0 * M_PI)
#define Imax	(100)
#define Jmax	(100)

int main()
{
	g_init("Window", WX, WY);
	//	g_def_scale_3D_fix(0,
	//					   -XLEN / 2, XLEN / 2,
	//					   -YLEN / 2, YLEN / 2,
	//					   -ZLEN / 2, ZLEN / 2,
	//					   20.0, 20.0,
	//					   WX - 40.0, WY - 40.0);
	g_def_scale_3D(0,
                   -XLEN / 2, XLEN / 2,
                   -YLEN / 2, YLEN / 2,
                   -ZLEN / 4, ZLEN / 4,
                   -XLEN / 2, XLEN / 2,
                   -YLEN / 2, YLEN / 2,
                   -ZLEN / 2, ZLEN / 2,
				   20.0, 20.0,
				   WX - 40.0, WY - 40.0);

	double u[Imax][Jmax];
	double dx = XLEN / Imax, dy = YLEN / Jmax,rx,ry;

	for(int i = 0;i < Imax;i ++)
	{
		rx = (i + 0.5) * dx - XLEN / 2;
		for(int j = 0;j < Jmax;j ++)
		{
			ry = (j + 0.5) * dy - YLEN / 2;
			u[i][j] = sin(rx * ry) * 0.5;
		}
	}
	for (int i_time = 0;; i_time++)
	{
		g_cls();
		g_sel_scale(0);
		g_boundary();
		g_box_center_3D_core(0, 0, 0, XLEN, YLEN, ZLEN*0.5, 0, 1, 0);
		g_bird_view_3D(-XLEN / 2, XLEN / 2,
					   -YLEN / 2, YLEN / 2,
					   Imax, Jmax,
					   u, 0, 1);
		g_finish();
	}
	return 0;
}
