#include<stdio.h>
#include<glsc3d_3.h>
#define WINDOW_SIZE_X     (800)
#define WINDOW_SIZE_Y     (400)
int main()
{
	g_init("Hinode_Tuki", WINDOW_SIZE_X, WINDOW_SIZE_Y);
	g_def_scale_2D(0, -4, 4, -2, 2,
				   0.0, 0.0,
				   WINDOW_SIZE_X, WINDOW_SIZE_Y);

	g_capture_set("");
	double dt = 0.005, t,tmax = 5;

	for (int i_time = 0;; i_time++)
	{
		t = i_time * dt;
		g_cls();
		g_sel_scale(0);
		g_boundary();

		//Sora
		g_area_color(0.6, 0.6, 0.6, 1);
		g_box_2D(-4,4,-0.5,2,G_NO,G_YES);

		//Tuki
		g_area_color(1, 1, 0, 1);
		g_circle_2D(2.0, 1.0, 0.2, G_NO, G_YES);
		g_area_color(0.6, 0.6, 0.6, 1);
		g_circle_2D(1.8, 1.0, 0.2, G_NO, G_YES);

		//Taiyo
		g_area_color(1, 0, 0, 1);
		g_circle_2D(0.0, tanh(t) - 1, 0.5, G_NO, G_YES);

		//Umi
		g_area_color(0.2, 0.6, 1, 1);
		g_box_2D(-4,4,-2,-0.5,G_NO,G_YES);

		//Moji
		if(t > tmax)
		{
			g_text_standard(350, 100, "日本一!!");
		}

		g_finish();
		g_capture();
	}
	return 0;
}
