#include<stdio.h>
#include<glsc3d_3.h>

int main()
{
	g_init("Window", 600, 600);	//Pixel Size
	g_def_scale_2D(0,			//ID
				   -1, 1,		//xmin,xmax
				   -1, 1,		//ymin,ymax
				   20.0, 20.0,	//Window (Left, Top) Position
				   560, 560);	//Window Size (x,y)
	g_cls();					//Clear window
	g_sel_scale(0);				//Select Virtual scale
	g_boundary();				//Draw Boundary
	int Imax = 10;
	int Jmax = 10;
	double VecX; double VecY;
	for(int i = 1; i < Imax; i ++)
	{
		for(int j = 1; j < Jmax; j ++)
		{
            double x = i*0.2 - 1.0, y = j*0.2 - 1.0;
            VecX = x; VecY = y;     // Divergence
            //VecX = -y; VecY = x;	// Rotation
            
            g_arrow_2D(x, y,        // Base Point
                       VecX, VecY,  // Direction
                       0.1,         // Size of Arrow Length
                       0.05,        // Size of Arrow Head
                       2);          // Arrow kinds
		}
	}
	g_finish();					//flush Draw buffer
	g_sleep(10.0);				//Sleep 10 sec
	return 0;
}
